Uploaded image for project: 'Infrastructure'
  1. Infrastructure
  2. INFRA-3067

Cannot install (or update) credentials plugin 2.6 SHA-256 validation fails

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Blocker
    • Resolution: Fixed
    • Component/s: update-center
    • Labels:
      None
    • Environment:
    • Similar Issues:
    • Released As:
      credentials-2.6.1

      Description

      I cannot install version 2.6 of the credentials plugin on a new Jenkins server, or update an existing server from 2.5 to 2.6. I get this error:

      java.io.IOException: Downloaded file /var/lib/jenkins/plugins/credentials.jpi.tmp does not match expected SHA-256, expected 'aOL2h5pdLc9JurZ3f2StxSx6IB4dVCcMkNWPj7jwb2A=', actual 'jJUDrnXQLxirWW9U/HGMuNjFMt3HeN1xuAlb2crB6ts='

      I am using the default updates site.

        Attachments

          Activity

          drdavew Dave created issue -
          Hide
          sourrabhgupta Sourabh Gupta added a comment -

          Same issue is happening for my installation as well.

          Show
          sourrabhgupta Sourabh Gupta added a comment - Same issue is happening for my installation as well.
          Hide
          pxlphile Pixel added a comment -

          Same here, running Jenkins 2.289.2. The issue is not only missing credential support but also that other plugins cease to work because they depend on the credential plugin.

          Show
          pxlphile Pixel added a comment - Same here, running Jenkins 2.289.2. The issue is not only missing credential support but also that other plugins cease to work because they depend on the credential plugin.
          Hide
          shoaib Syed Shoaib added a comment - - edited

          It's a blocker issue. Failed to bring up Jenkins instance after the plugin is updated to 2.6.

          Plugin kubernetes:1.30.1 (via credentials:2.6) invalid checksum, expected: aOL2h5pdLc9JurZ3f2StxSx6IB4dVCcMkNWPj7jwb2A=, actual: jJUDrnXQLxirWW9U/HGMuNjFMt3HeN1xuAlb2crB6ts=

          Show
          shoaib Syed Shoaib added a comment - - edited It's a blocker issue. Failed to bring up Jenkins instance after the plugin is updated to 2.6. Plugin kubernetes:1.30.1 (via credentials:2.6) invalid checksum, expected: aOL2h5pdLc9JurZ3f2StxSx6IB4dVCcMkNWPj7jwb2A=, actual: jJUDrnXQLxirWW9U/HGMuNjFMt3HeN1xuAlb2crB6ts=
          shoaib Syed Shoaib made changes -
          Field Original Value New Value
          Priority Major [ 3 ] Blocker [ 1 ]
          Hide
          drdavew Dave added a comment -

          Is there a way to get Jenkins to use version 2.5 of the credentials plugin when I install a new instance of Jenkins?

          Show
          drdavew Dave added a comment - Is there a way to get Jenkins to use version 2.5 of the credentials plugin when I install a new instance of Jenkins?
          Hide
          shoaib Syed Shoaib added a comment -

          Dave, You can force Jenkins to use credentials:2.5 but then all other plugins failed as they require the latest i.e credentials:2.6

           

          Show
          shoaib Syed Shoaib added a comment - Dave , You can force Jenkins to use credentials:2.5 but then all other plugins failed as they require the latest i.e credentials:2.6  
          timja Tim Jacomb made changes -
          Component/s update-center [ 22120 ]
          Component/s credentials-plugin [ 16523 ]
          Key JENKINS-66596 INFRA-3067
          Workflow JNJira + In-Review [ 250284 ] classic default workflow [ 250287 ]
          Project Jenkins [ 10172 ] Infrastructure [ 10301 ]
          Hide
          timja Tim Jacomb added a comment -
          Show
          timja Tim Jacomb added a comment - FYI Mark Waite Daniel Beck Olivier Vernin
          Hide
          wfollonier Wadeck Follonier added a comment -

          My bad, I did a mistake during the release this morning, will release 2.6.1 to prevent any other issue

          Show
          wfollonier Wadeck Follonier added a comment - My bad, I did a mistake during the release this morning, will release 2.6.1 to prevent any other issue
          wfollonier Wadeck Follonier made changes -
          Assignee Wadeck Follonier [ wfollonier ]
          wfollonier Wadeck Follonier made changes -
          Status Open [ 1 ] In Progress [ 3 ]
          Hide
          wfollonier Wadeck Follonier added a comment - - edited

          2.6.1 released, it should be proposed in the update-center in the next 10 minutes. Please re-open this ticket if it's still not good.

          Show
          wfollonier Wadeck Follonier added a comment - - edited 2.6.1 released, it should be proposed in the update-center in the next 10 minutes. Please re-open this ticket if it's still not good.
          wfollonier Wadeck Follonier made changes -
          Released As credentials-2.6.1
          Resolution Fixed [ 1 ]
          Status In Progress [ 3 ] Resolved [ 5 ]
          Hide
          kon Kalle Niemitalo added a comment -

          2.6.1 installed OK.

           

          Show
          kon Kalle Niemitalo added a comment - 2.6.1 installed OK.  
          Hide
          markewaite Mark Waite added a comment -

          I confirmed that I was able to download credentials plugin 2.6.1 and that I was not able to download credentials plugin 2.6.0. My Jenkins instance is running with credentials plugin 2.6.1.

          Show
          markewaite Mark Waite added a comment - I confirmed that I was able to download credentials plugin 2.6.1 and that I was not able to download credentials plugin 2.6.0. My Jenkins instance is running with credentials plugin 2.6.1.
          Hide
          drdavew Dave added a comment -

          Much better, thanks for fixing this Wadeck Follonier.

          Show
          drdavew Dave added a comment - Much better, thanks for fixing this Wadeck Follonier .
          Hide
          shoaib Syed Shoaib added a comment -

          2.6.1 works fine. Thank Wadeck Follonier

          Show
          shoaib Syed Shoaib added a comment - 2.6.1 works fine. Thank Wadeck Follonier
          Show
          danielbeck Daniel Beck added a comment - - edited https://github.com/jenkins-infra/update-center2/pull/544
          markewaite Mark Waite made changes -
          Status Resolved [ 5 ] Closed [ 6 ]

            People

            Assignee:
            wfollonier Wadeck Follonier
            Reporter:
            drdavew Dave
            Votes:
            5 Vote for this issue
            Watchers:
            11 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: